Chat with us, powered by LiveChat

Iris HD Software Compatibility

Published in Iris HD Intraoral Camera

Below is the Software Compatibility List for the Iris HD Camera.

Currently compatible with:

  • Dexis 10 & up
  • Eaglesoft/Patterson Imaging v17 & up
  • Adstra 16 & up
  • Apteryx v4.0 & up
  • Dentrix Ascend
  • Romexis
  • KDI and Carestream 6.1.7.0 & up
  • Mipacs 3.1.916+
  • Vixwin Platinum 3.3 & up
  • CurveHero
  • ClearDent
  • Adstra v15 & up
  • Tracker
  • Cadi v8.0 & up
  • Tigerview v8.1 & up
  • Patient Gallery v2.2 & up
  • SafeCom and CaptureLink
  • SidexisXG
  • Sidexis v4 & up
  • Dolphin v11.9 & up
  • XDR Radiography

To determine your computer’s compatibility with the Iris HD Intraoral Camera, You may download and run the Iris HD Compliance Checker

For installation assistance please contact Digital Doc Technical Support
by Email
On our Support line 800-518-1102
Live Chat